<template>
  <div class="el-tree-container">
    <el-tree class="file-tree" :data="files" :props="defaultProps" @node-click="(data) => { if (!data.children) fileClicked(data.label) }"></el-tree>
  </div>
</template>

<script src="./file-tree.js">
</script>

<style>
    .el-tree-container {
        overflow: auto;
        height: 640px;
    }

    .el-tree {
        cursor: default;
        background: #333;
        color: #eee;
    }

    .el-tree__empty-block {
        position: relative;
        min-height: 60px;
        text-align: center;
        width: 100%;
        height: 100%
    }

    .el-tree__empty-text {
        position: absolute;
        left: 50%;
        top: 50%;
        -ms-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        color: #5e7383
    }

    .el-tree-node {
        white-space: nowrap
    }

    .el-tree-node>.el-tree-node__children {
        overflow: hidden;
        background-color: transparent
    }

    .el-tree-node.is-expanded>.el-tree-node__children {
        display: block
    }

    .el-tree-node__expand-icon,
    .el-tree-node__label,
    .el-tree-node__loading-icon {
        display: inline-block;
        vertical-align: middle
    }

    .el-tree-node__content {
        line-height: 20px;
        height: 20px;
        cursor: pointer
    }

    .el-tree-node__content>.el-checkbox,
    .el-tree-node__content>.el-tree-node__expand-icon {
        margin-right: 8px
    }

    .el-tree-node__content>.el-checkbox {
        vertical-align: middle
    }

    .el-tree-node__content:hover {
        background: #eee;
        color: #333;
    }

    .el-tree-node__expand-icon {
        cursor: pointer;
        width: 0;
        height: 0;
        margin-left: 4px;
        border: 6px solid transparent;
        border-right-width: 0;
        border-left-color: #97a8be;
        border-left-width: 7px;
        -ms-transform: rotate(0);
        transform: rotate(0);
        transition: transform .3s ease-in-out
    }

    .el-tree-node__expand-icon:hover {
        border-left-color: #999
    }

    .el-tree-node__expand-icon.expanded {
        -ms-transform: rotate(90deg);
        transform: rotate(90deg)
    }

    .el-tree-node__expand-icon.is-leaf {
        border-color: transparent;
        cursor: default
    }

    .el-tree-node__label {
        font-size: 12px
    }

    .el-tree-node__loading-icon {
        margin-right: 2px;
        font-size: 12px;
        color: #97a8be
    }

    .el-tree--highlight-current .el-tree-node.is-current>.el-tree-node__content {
        background-color: #edf7ff
    }
</style>
